version: '3.2'

services:
  intern-server:
    build: ./
    ports:
      - "8000:8000"
    environment:
      DATABASE_URL: postgresql://postgres:postgres@postgres:5432/postgres?sslmode=disable
      DB_PASSWORD: postgres
    depends_on:
      - db

  db:
    image: postgres
    container_name: postgres
    restart: always
    environment:
      DB_PASSWORD: postgres
      PGDATA: /var/lib/postgresql/data
      volumes: ./database:/var/lib/postgresql/data
    ports:
      - "5436:5432"